<?php
/**
 * The template for displaying 404 pages (not found).
 *
 * @package Wise
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<section class="error-404 not-found">
				
				<header class="page-header">
					<h1 class="page-title"><?php esc_html_e( 'Error 404: Page requested not found', 'wise' ); ?></h1>
				</header><!-- .page-header -->

				<div class="page-content">
					<p><?php esc_html_e( 'Below are some links that maybe helpful to you.', 'wise' ); ?></p>

					<?php echo sprintf( __( '<a class="button" href="%s">HOMEPAGE</a>', 'wise' ), esc_url( home_url() ) ); ?>
					<?php the_widget( 'WP_Widget_Tag_Cloud' ); ?>
					<div class="clearfix helpful-links-404">
						<?php the_widget( 'WP_Widget_Recent_Posts' ); ?>

						<?php if ( wise_theme_categorized_blog() ) : // Only show the widget if site has multiple categories. ?>
						<div class="widget widget_categories">
							<h2 class="widget-title"><?php esc_html_e( 'Most Used Categories', 'wise' ); ?></h2>
							<ul>
							<?php
								wp_list_categories( array(
									'orderby'    => 'count',
									'order'      => 'DESC',
									'show_count' => 1,
									'title_li'   => '',
									'number'     => 10,
								) );
							?>
							</ul>
						</div><!-- .widget -->
						<?php endif; ?>

						<?php
							/* translators: %1$s: smiley */
							$archive_content = '<p>' . sprintf( esc_html__( 'Try looking in the monthly archives. %1$s', 'wise' ), convert_smilies( ':)' ) ) . '</p>';
							the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$archive_content" );
						?>

					</div>

					

				</div><!-- .page-content -->
			</section><!-- .error-404 -->

		</main><!-- #main -->
	</div><!-- #primary -->

<?php get_footer(); ?>
