<?php
/**
 * Wise Theme Customizer
 *
 * @package Wise
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function wise_theme_customize_register( $wp_customize ) {

	$wp_customize->add_section( 'footer_section', array(
	    'title'          => __( 'Footer Section', 'wise' ),
	    'priority'       => 35,
	) );

	$wp_customize->add_setting( 'footer_text', array(
	    'type'           => 'theme_mod',
	    'capability'     => 'edit_theme_options',
	    'sanitize_callback' => 'sanitize_text',
	    'transport'		=>	'postMessage',
	) );

	$wp_customize->add_control( 'footer_text', array(
			'label'      => __( 'Footer Text', 'wise' ),
			'section'    => 'footer_section'
		) );

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

}
add_action( 'customize_register', 'wise_theme_customize_register' );

function sanitize_text( $value ) {
	$sanitized_value = sanitize_text_field( $value );

	return $sanitized_value;
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function wise_theme_customize_preview_js() {
	wp_enqueue_script( 'wise_theme_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), false, true );
}
add_action( 'customize_preview_init', 'wise_theme_customize_preview_js' );

